Page 15 of 17

Re: Router Firmware Requests

Posted: Wed Jan 11, 2017 10:07 pm
by fengchen_gf
Router Model: Ubiquiti EdgeRouter X (ER-X)
Link to Openwrt wiki: https://wiki.openwrt.org/toh/ubiquiti/ubiquiti_edgerouter_x_er-x_ka
Is it supported in Openwrt Chaos_Calmer Branch? NO.https://downloads.lede-project.org/snapshots/targets/ramips/mt7621/lede-ramips-mt7621-ubnt-erx-squashfs-sysupgrade.tar
Does it have >= 8MB of flash? Yes.256 MB NAND
Does it have USB support? NO

Re: Router Firmware Requests

Posted: Wed Jan 11, 2017 11:25 pm
by kandrix
Router Model: Dlink Dir-615 E5
Link to Openwrt wiki: https://wiki.openwrt.org/toh/d-link/dir-615
Is it supported in Openwrt? Yes
Does it have >= 8MB of flash? No
Does it have >= 4MB of flash? Yes
Does it have USB support? No
****************************************************************************

I am currently in this version of GARGOYLE 1.5.10
LINK: http://www.gargoyle-router.com/download ... actory.bin

It works great but I would like a new update to use OPENVPN, Client - Server PPTP and Spanish translation.

I tested with higher versions 1.5.11
LINK: http://www.gargoyle-router.com/download ... actory.bin

It updates perfectly, works well, the only problem is that when you turn off the router or restart it goes back to the default settings and the saved settings are not kept.

Re: Router Firmware Requests

Posted: Thu Jan 12, 2017 2:17 am
by Lantis
fengchen_gf wrote:Router Model: Ubiquiti EdgeRouter X (ER-X)
Link to Openwrt wiki: https://wiki.openwrt.org/toh/ubiquiti/ubiquiti_edgerouter_x_er-x_ka
Is it supported in Openwrt Chaos_Calmer Branch? NO.https://downloads.lede-project.org/snapshots/targets/ramips/mt7621/lede-ramips-mt7621-ubnt-erx-squashfs-sysupgrade.tar
Does it have >= 8MB of flash? Yes.256 MB NAND
Does it have USB support? NO


I can't do anything with Lede support only at this time sorry.

Re: Router Firmware Requests

Posted: Thu Jan 12, 2017 2:17 am
by Lantis
kandrix wrote:Router Model: Dlink Dir-615 E5
Link to Openwrt wiki: https://wiki.openwrt.org/toh/d-link/dir-615
Is it supported in Openwrt? Yes
Does it have >= 8MB of flash? No
Does it have >= 4MB of flash? Yes
Does it have USB support? No
****************************************************************************

I am currently in this version of GARGOYLE 1.5.10
LINK: http://www.gargoyle-router.com/download ... actory.bin

It works great but I would like a new update to use OPENVPN, Client - Server PPTP and Spanish translation.

I tested with higher versions 1.5.11
LINK: http://www.gargoyle-router.com/download ... actory.bin

It updates perfectly, works well, the only problem is that when you turn off the router or restart it goes back to the default settings and the saved settings are not kept.


With 4mb of flash this router is no longer supported

Re: Router Firmware Requests

Posted: Thu Jan 12, 2017 9:29 am
by fengchen_gf
Lantis wrote:
fengchen_gf wrote:Router Model: Ubiquiti EdgeRouter X (ER-X)
Link to Openwrt wiki: https://wiki.openwrt.org/toh/ubiquiti/ubiquiti_edgerouter_x_er-x_ka
Is it supported in Openwrt Chaos_Calmer Branch? NO.https://downloads.lede-project.org/snapshots/targets/ramips/mt7621/lede-ramips-mt7621-ubnt-erx-squashfs-sysupgrade.tar
Does it have >= 8MB of flash? Yes.256 MB NAND
Does it have USB support? NO


I can't do anything with Lede support only at this time sorry.


openwrt Development Snapshots:
https://downloads.openwrt.org/snapshots/trunk/ramips/mt7621/openwrt-ramips-mt7621-ubnt-erx-squashfs-sysupgrade.tar

Re: Router Firmware Requests

Posted: Thu Jan 12, 2017 3:33 pm
by Lantis
I can't do anything with that either.
Gargoyle is chaos calmer based. I'm nit going to spend an eon migrating it for one custom image that might not even work.

Re: Router Firmware Requests

Posted: Sat Feb 11, 2017 5:34 pm
by lunar_walker
Hi,
First time posting in requests.
I req x86 build with builtin intel 1gbps ethernet and broadcom PCIe ethernet card with 4x ethernet ports.
I tried builds already on your site but broadcom interfaces didn't show up.
I tried building it myself but ran into issues of dependencies.
If you can kindly help me out on this. Need addl broadcom phy drivers support plus USB devices support.

Thanks
BTW my system has more than 1GB RAM and dual core processor.

Re: Router Firmware Requests

Posted: Sat Feb 11, 2017 6:02 pm
by Lantis
Can you list the names of the drivers you require? Or where to find them in the menu tree?

Re: Router Firmware Requests

Posted: Sun Feb 12, 2017 12:00 am
by lunar_walker
Hi Lantis,
Thanks for quick reply. I made another attempt at building 1.9.1 branch (already tried master as well) but ended up with same error of

Code: Select all

Package haserl-i18n is missing dependencies for the following libraries:
libericstools.so.1


Tricky part is I'm not sure which driver will work. I'm sorry for my limited knowledge. But I do know that it is a broadcom PCIe card with 4 x gigabit ports. Currently, pfsense is instl at that box and it is picking up all intel + broadcom (bce0-3) interfaces.

I was hopeful with kmod-phy-broadcom but not sure.
For integrated intel part, kmod-e100, kmod-e1000 should work.
Remaining i want USB storage + printer devices to work. so I included those.
For experimental part, I wanted to include kmod-e1000e & kmod-vmxnet3

I'm mainly interested in its IP - MAC binding through DHCP, QoS, BW & Quota management and firewalling (whitelisting).

Thanks and hoping for best.... :)

Re: Router Firmware Requests

Posted: Sun Feb 12, 2017 2:08 am
by Lantis
Can you post the .config file you are using for the build?
I can only presume you have not selected a necessary package.